# HeaderExportingSourceSet

API Documentation: | `HeaderExportingSourceSet`

Known Subtypes: |
`CSourceSet` | `ObjectiveCSourceSet` | `WindowsResourceSet`
`CppSourceSet` | `ObjectiveCppSourceSet` |

Note: This class is incubating and may change in a future version of Gradle.

A source set that exposes headers

### Properties

Property | Description
`exportedHeaders` | Incubating The headers as a directory set.
`source` | Incubating The source files.

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### `SourceDirectorySet` `exportedHeaders` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

The headers as a directory set.

#### `SourceDirectorySet` `source` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

The source files.